
.index-container{
    min-height: 100vh;
    min-width: 100%;
    background: linear-gradient(rgba(28, 29, 29, 0.5), rgba(0, 0, 0, 0.7)),
      url(./images/index-bg.jpg) center/cover no-repeat;
}
nav{
    display: flex;
    justify-content: space-between;
    /* background-color: rgb(47, 68, 68); */
    height: 15vh;
    line-height: 15vh;
margin: 0 2rem ;
}
.nav-bar{
    font-size: 2rem;
    color: aliceblue;
    cursor: pointer;
    display: none;
}
.brand-name{
    font-size: 1.3rem;
}
.small-screen-brand{
    display: none;
}
nav .nav-brand-name a{
    color: white;
    text-decoration: none;
}
nav .nav-brand-name a img{
    width: 4rem;
}
nav ul {
    display: flex;
}
nav ul li{
    margin-right: 1.5rem;
    list-style-type: none;
} 
nav ul li a{
    font-size: 1.1rem;
    color: white;
    text-decoration: none;
    transition: 0.5s ease all;
} 
nav ul li a:hover{
    border-bottom: 3px solid white;
    color: aliceblue;
    padding-bottom: .3rem;
}
.main{
    display: flex;
    justify-content: center;
    align-items: center;
    height:50vh;
    width: 80%;
    color: aliceblue;
    margin: 0 auto;
    text-align: center;
}
.main-small{
    display: none;
}
.main .welcome-note{
    width: 60%;
    margin-right: 10rem;
}
.main .welcome-note h3{
    padding-bottom: 2rem;
}
.main .welcome-note h3 span{
    color: rgb(18, 237, 32);

}
.main .welcome-note a{
    background-color: rgb(5, 150, 15);
    color: aliceblue;
    padding: .6rem 1.6rem;
    text-decoration: none;
    font-size: 1.1rem;
    transition: 1s ease all;
}
.main .welcome-note a:hover{
    letter-spacing: 1px;
    background-color: rgb(16, 162, 26);
    width: 12rem;

}
.welcome-btn {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .welcome-btn a{
    width: 11rem;
  }
  .index-register{
    margin-left: 1rem;
  }
.countdown{
    display: flex;
    flex-direction: column;
    place-items: center;
    margin-top: 1rem;
}
.countdown h3 span{
    color: rgb(238, 241, 20);
}
.countdown-div{
    display: flex;
}
.countdown-div .countdown-item{
    margin-right: 1rem;
    text-align: center;
    background-color: rgb(82, 85, 81);

    padding:0 1rem;
    border-radius: .5rem;
}
/* events PAGE */
.event-card{
    display: flex;
    justify-content: space-around;
    margin-top: 2rem;
}
  .demo a{
    font-family: 'Raleway', sans-serif;
  color: #000;		
  }

  .about-us{
    color: #fff;
    height: fit-content;
    width: 100%;
  }
.about-us .about-eie{
    display: flex;
    justify-content: center;
    align-items: center;
    height: fit-content;
    height:fit-content;
    width: 80%;
    margin: 2rem auto;
  } 
  .about-eie-content h3 span,.about-instronics-content h3 span{
    color: orangered;
  }
  .about-eie-content p,.about-instronics-content p{
    margin-top: 1rem;
  }
  .about-eie-content,.about-instronics-content{
    width: 40%;
    margin-top: 2rem;
    margin-right: 4rem;
  }
  .about-eie-content .line, .about-instronics-content .line {
    border-bottom: 3px solid green;
    width: 20rem;
  }
  .about-eie img{
    border-radius: 2rem;
    width: 30rem;
  }
  .about-instronics{
    display: flex;
    justify-content: center;
    align-items: center;
    height: fit-content;
    height: fit-content;
    width: 80%;
    margin: auto;
  }
  .about-instronics img{
    border-radius: 2rem;
    width: 30rem;
    margin-right: 4rem;
  }

  .contact {
    display: flex;
    flex-direction: column;
    place-items: center;
    width: 60%;
    margin: 0 auto;
    text-align: center;
    padding: 2rem;
    border-radius: .5rem;
    animation-name: changeBorderColor;
    animation-duration: 5s;
    margin-top: 2rem;

    animation-iteration-count: infinite;
  }

  @keyframes changeBorderColor{
    0%   {    border: 4px solid rgb(144, 239, 36);  color:rgb(144, 239, 36);
    }
  25%  {    border: 4px solid rgb(33, 198, 182); color: rgb(33, 198, 182);
  }
  50%  {    border: 4px solid rgb(47, 255, 0); color:rgb(47, 255, 0) ;
  }
  100% {    border: 4px solid rgb(225, 255, 0); color: rgb(225, 255, 0);
  }
  }
.contact img{
    width: 20rem;
    margin-bottom: 1rem;
}
.contact .contact-details p{
    font-size: 1.1rem;
}
@media only screen and (max-width: 1138px) {
    .event-card{
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;

    }
}
@media only screen and (max-width: 800px) {
    nav{
        height: fit-content;
        margin: 0;
        padding:0.5rem 2rem;
        text-align: center;
    }
    nav ul {
        margin-top: 4rem;
        flex-direction: column;
        /* display: none; */
    }
    .brand-name{
        font-size: 1rem;
    }
    .nav-bar{
        display: block;
    }  
    nav ul li{
        margin-bottom: -3rem;
        margin-right: 7rem;
    }  
    .main .welcome-note h3{
        font-size: 1.5rem;
    }
    .main .welcome-note a{
        font-size: 1rem;
    }
    nav .nav-brand-name a img{
        width: 4rem;
    }
    .coffee-animation{
        display: none;
    }
    .main .welcome-note{
        width: 100%;
        margin-right: 0;
    }
    .event-card-images{
        width: 10rem;
        margin:0 auto;
    }
    .about-us img{
        display: none;
    }
    .about-eie-content,.about-instronics-content{
        width: 90%;
        margin-right: 0;
        
    }
    nav .nav-brand-name .big-screen-brand{
        display: none;
    }
    .small-screen-brand{
        display: flex;
    }
    .contact {
        width: 80%;
    }
    .countdown{
        padding-bottom: 2rem;
    }
    .main-small{
        display: block;
    }
    .main-big{
        display: none;
    }
}
 
@media only screen and (max-width: 518px) {
    .main .welcome-note h3{
        font-size: 1.3rem;
    }
    .nav-bar{
        font-size: 1.5rem;
    }
    nav .nav-brand-name a img{
        width: 4rem;
    }
    nav ul {
        margin-top: 6rem;
        flex-direction: column;
        /* display: none; */
    }
    nav .nav-brand-name .big-screen-brand{
        display: none;
    }
    .small-screen-brand{
        display: flex;
    }
    nav ul li{
        margin-right: 4rem;
    }  
    .contact {
        width: 90%;
    }
    .about-eie-content .line, .about-instronics-content .line {
        width: 15rem;
      }
      /* .countdown{
        margin-top: -3rem;
    } */
}
@media only screen and (max-width: 460px) {
    .countdown h3 {
        font-size: 1.2rem;
    }
    .countdown-div .countdown-item{
        padding:0 .5rem;
    }
    .welcome-btn {
        flex-direction: column;
    }
    .welcome-btn .index-register{
        margin-top: 1rem;
        margin-left: -0.2rem;
    }

}
@media only screen and (max-width: 400px) {
    .main .welcome-note h3{
        font-size: 1.1rem;
    }
    .main .welcome-note a{
        padding: .6rem 1rem;
        font-size: 1rem;
    }
    .contact {
        width: 100%;
    }
    .contact img{
        width: 18rem;
    }
   nav .nav-brand-name a img{
    display: none;
   }
   nav .nav-brand-name a{
    font-size: 0.9rem;
   }
   nav ul li{
    margin-left: 3rem;
   }
   .countdown h3 {
    font-size: 1.1rem;
    text-align: center;
}
   .countdown-div .countdown-item{
    padding: .3rem;
   }
   .countdown-div .countdown-item h1{
    font-size: 1.3rem;
   }
   .countdown-div .countdown-item p{
    font-size: 1rem;
   }
}